curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
{
"_id": "5d76b657a28f9a0cc7cb0f99",
"attachments": [
{
"type": "image",
"id": "47863"
},
{
"type": "image",
"id": "47864"
}
],
"chat_dialog_id": "5d75327ba28f9a0f32cb0f99",
"created_at": null,
"date_sent": 1568061015,
"delivered_ids": [],
"markable": 1,
"message": "look at this photos",
"read_ids": [],
"recipient_id": 0,
"sender_id": 96830631,
"updated_at": null,
"read": 0
}
{
"errors": [
"The recipient wasn't found"
]
}
Create Message
Create a chat message.
curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
{
"_id": "5d76b657a28f9a0cc7cb0f99",
"attachments": [
{
"type": "image",
"id": "47863"
},
{
"type": "image",
"id": "47864"
}
],
"chat_dialog_id": "5d75327ba28f9a0f32cb0f99",
"created_at": null,
"date_sent": 1568061015,
"delivered_ids": [],
"markable": 1,
"message": "look at this photos",
"read_ids": [],
"recipient_id": 0,
"sender_id": 96830631,
"updated_at": null,
"read": 0
}
{
"errors": [
"The recipient wasn't found"
]
}
Recipes
Create message with extra data
Create message with extra data
1. Set the ID of the dialog
chat_dialog_id to send a message to the specific dialog.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
2. Type a message
curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
3. Specify if you want to send a message
send_to_chat parameter to 1 to send a message to the dialog.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
4. Add extra data to a message
is_pinned is a custom parameter key and the false is a custom parameter value.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
5. As a result, the API returns a message with additional fields.
curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
Create message in group dialog
Create message in group dialog
1. Set ID of the dialog
chat_dialog_id parameter to create a message for the specific dialog.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
2. Type a message
message text using the message parameter.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
3. Specify if you want to send a message
send_to_chat parameter to 1 to send a message to the dialog.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
4. Specify if you want to mark messages as read/delivered
markable parameter to 1 to mark all messages as read/delivered.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
5. Set message attachment
attachment parameter.Just specify the ID of the file on QuickBlox server and its type.You can add as many attachments as you need.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
6. As a result, the API returns a newly created message
curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
Create message in private dialog
Create message in private dialog
1. Set the ID of the message recipient
recipient_id parameter to set the ID of the message recipient.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: ee4b9e6cad16378aab011c236b186aec09012bba" \
-d '{
"recipient_id":102460596,
"message":"Hello!"
}' \
https://api.quickblox.com/chat/Message.json
2. Type a message
message parameter.curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: ee4b9e6cad16378aab011c236b186aec09012bba" \
-d '{
"recipient_id":102460596,
"message":"Hello!"
}' \
https://api.quickblox.com/chat/Message.json
3. As a result, the API returns a newly created message.
curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: ee4b9e6cad16378aab011c236b186aec09012bba" \
-d '{
"recipient_id":102460596,
"message":"Hello!"
}' \
https://api.quickblox.com/chat/Message.json
Create message in private dialog with API key
Create message in private dialog with API key
1. Use 'Authorization' header to pass API key
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"recipient_id":102460596,
"message":"Hello!"
}' \
https://api.quickblox.com/chat/Message.json
2. Use 'On-Behalf-Of' header to pass user id
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"recipient_id":102460596,
"message":"Hello!"
}' \
https://api.quickblox.com/chat/Message.json
3. Set the ID of the message recipient
recipient_id parameter to set the ID of the message recipient.curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"recipient_id":102460596,
"message":"Hello!"
}' \
https://api.quickblox.com/chat/Message.json
4. Type a message
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"recipient_id":102460596,
"message":"Hello!"
}' \
https://api.quickblox.com/chat/Message.json
5. As a result, the API returns a newly created message.
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"recipient_id":102460596,
"message":"Hello!"
}' \
https://api.quickblox.com/chat/Message.json
Create message with extra data and API key
Create message with extra data and API key
1. Use 'Authorization' header to pass API key
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
2. Use 'On-Behalf-Of' header to pass user id
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
3. Set the ID of the dialog
chat_dialog_id to send a message to the specific dialog.curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
4. Type a message
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
5. Specify if you want to send a message
send_to_chat parameter to 1 to send a message to the dialog.curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
6. Add extra data to a message
is_pinned is a custom parameter key and the false is a custom parameter value.curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
7. As a result, the API returns a message with additional fields.
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"Allison will take it",
"send_to_chat":1,
"is_pinned":false
}' \
https://api.quickblox.com/chat/Message.json
Create message in group dialog with API key
Create message in group dialog with API key
1. Use 'Authorization' header to pass API key
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
2. Use 'On-Behalf-Of' header to pass user id
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
3. Set ID of the dialog
chat_dialog_id parameter to create a message for the specific dialog.curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
4. Type a message
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
5. Specify if you want to send a message
send_to_chat parameter to 1 to send a message to the dialog.curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
6. Specify if you want to mark messages as read/delivered
markable parameter to 1 to mark all messages as read/delivered.curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
7. Set message attachment
attachment parameter.Just specify the ID of the file on QuickBlox server and its type.You can add as many attachments as you need.curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
8. As a result, the API returns a newly created message.
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-H "On-Behalf-Of: 123" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
send_to_chat=1 parameter.
Body Parameters
type=3 (PRIVATE). Show propeties
Show propeties
Show properties
Show properties
audio, video, image or other. markable=1 to perform. Headers
ApiKey {your_api_key}. Must be used either QB-Token or Authorization.Responses
201
201
404
404
curl -X POST \
-H "Content-Type: application/json" \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d '{
"chat_dialog_id":"5d75327ba28f9a0f32cb0f99",
"message":"look at this photos",
"send_to_chat":1,
"markable":1,
"attachments":{
"0":{
"type":"image",
"id":"47863"
},
"1":{
"type":"image",
"id":"47864"
}
}
}' \
https://api.quickblox.com/chat/Message.json
{
"_id": "5d76b657a28f9a0cc7cb0f99",
"attachments": [
{
"type": "image",
"id": "47863"
},
{
"type": "image",
"id": "47864"
}
],
"chat_dialog_id": "5d75327ba28f9a0f32cb0f99",
"created_at": null,
"date_sent": 1568061015,
"delivered_ids": [],
"markable": 1,
"message": "look at this photos",
"read_ids": [],
"recipient_id": 0,
"sender_id": 96830631,
"updated_at": null,
"read": 0
}
{
"errors": [
"The recipient wasn't found"
]
}
Was this page helpful?